Create Contract: Yardi REST
Betahttps://api.propexo.com/v1/contracts/yardi_rest/| Interface | Method |
|---|---|
| Job Cost | /ItfJobCost/ImportContract |
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - Array [
- ]
The Propexo unique identifier for the integration
The Propexo unique identifier for the vendor
The start date associated with the contract
Show 2 variants
The end date associated with the contract
Show 2 variants
Notes associated with the contract
The expense type of the contract. You'll have to request this data from your customer
The retention percent of the contract. Must be a decimal number with only 2 places
contract_details object[]required
The Propexo unique identifier for the construction job
The Propexo unique identifier for the property
The Propexo unique identifier for the financial account
The amount of the contract detail, in cents
Notes associated with the contract detail
The cost code of the contract detail. You'll have to request this data from your customer
The category code for the contract detail. You'll have to request this data from your customer
The retention percent of the contract detail. Must be a decimal number with only 2 places
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - Array [
- ]
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the vendor
Show 2 variants
The end date associated with the contract
Show 2 variants
Notes associated with the contract
The expense type of the contract. You'll have to request this data from your customer
The retention percent of the contract. Must be a decimal number with only 2 places
contract_details object[]required
The Propexo unique identifier for the construction job
The Propexo unique identifier for the property
The Propexo unique identifier for the financial account
The amount of the contract detail, in cents
Notes associated with the contract detail
The cost code of the contract detail. You'll have to request this data from your customer
The category code for the contract detail. You'll have to request this data from your customer
The retention percent of the contract detail. Must be a decimal number with only 2 places
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/contracts/yardi_rest/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"vendor_id": "string",
"start_date": "2024-07-29T15:51:28.071Z",
"contract_details": [
{
"construction_job_id": "string",
"property_id": "string",
"financial_account_id": "string",
"total_amount_in_cents": 0,
"notes": "string",
"cost_code": "string",
"category_code": "string",
"retention_percent": "string"
}
]
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"vendor_id": "string",
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z",
"notes": "string",
"expense_type": "string",
"retention_percent": "string",
"contract_details": [
{
"construction_job_id": "string",
"property_id": "string",
"financial_account_id": "string",
"total_amount_in_cents": 0,
"notes": "string",
"cost_code": "string",
"category_code": "string",
"retention_percent": "string"
}
]
}
}